# ChangeLog for dev-lang/php
# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-lang/php/ChangeLog,v 1.236 2008/02/28 04:30:04 beandog Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-lang/php/ChangeLog,v 1.237 2008/03/03 09:25:39 hoffie Exp $
+
+ 03 Mar 2008; Christian Hoffmann <hoffie@gentoo.org>
+ -php-5.2.5_p20080206.ebuild, -php-5.2.5_p20080206-r2.ebuild:
+ removing old
28 Feb 2008; Steve Dibb <beandog@gentoo.org>
php-5.2.5_p20080206-r3.ebuild:
+-----BEGIN PGP SIGNED MESSAGE-----
+Hash: SHA1
+
AUX 20php4-envd 145 RMD160 fb57b2d202ab1031303e7525a8ef5b353dc04ef8 SHA1 34ef066d2de22f147fc86bbe884692af7631f726 SHA256 17cd1a952434988b4c2125e4d1eef1df7114809f404605d35f255674419dd5d5
AUX 20php5-envd 145 RMD160 8c81fb7dc1d1ddf16fd956d748514db3bcb27603 SHA1 f1cef57c0def8e2c5422aaf136f40b4ff47801d2 SHA256 efaae9e6ae5f7010e073c2ab6d8a9dda009f0707c7d7b0c027e142c94f7041a4
AUX 70_mod_php.conf-apache2 454 RMD160 7e99b278a010c958d698454a2aa43e1a351c69e8 SHA1 895e986f880a1dee9b0a45fdcd99ccce44999a6b SHA256 dd7116f3439e06ef2d6126403360c2722355f8481552fdce0cb601af331f81ee
DIST php-patchset-4.4.8_pre20070816-r0.tar.bz2 18987 RMD160 d6239c033400d3267e149f87eb73897637c178e1 SHA1 864c812095248c0b788fa33fa30244ace25c5f06 SHA256 7ec05e1648de766e297a6675a41d405adcbcfba71714e8b0962298085754b28b
DIST php-patchset-5.2.4_pre200708051230-r2.tar.bz2 10339 RMD160 2e0837b813ff16d83a8bb88cc3e8ff7789abd8f8 SHA1 da8176a9e50c854a255ef9bb98685ca3b73f0897 SHA256 036cfa2a4dba009d2317c36527b9cd4763c2b3a7dffb7b6b3dcbb09fec0b5dde
DIST php-patchset-5.2.5-r1.tar.bz2 15350 RMD160 777f77e351ed024952f2adf323261db28f98c428 SHA1 d794d02e57ae400cf32638e1168f3dd6d213911b SHA256 50860764cf068465af09acc5ed32ad89f2e8ee0e03b02b2dd70fa19bd1176f10
-DIST php-patchset-5.2.5_p20080206-r0.tar.bz2 11532 RMD160 d3b0d1c2da3c6fc4a355d16f20f44cd1d890d963 SHA1 8f98f2b52cdac51320c4ae30e40ad1753d9a1d49 SHA256 3b00a35ebd716875455bab1c0f208dcbad733cd96083d768ccd0f17c767b5bbc
-DIST php-patchset-5.2.5_p20080206-r2.tar.bz2 11820 RMD160 02dd03fe1248c707e799daebd418a84d9861de99 SHA1 a27a22a096afe9f1acca065b00cd6786bc433d27 SHA256 4666a09a2ee22fafbd14dc659f2ce5bcf36264a92a94ce08b922c262486da459
DIST php-patchset-5.2.5_p20080206-r3.tar.bz2 12065 RMD160 470ec53d26983b6e401be5e63568a44df6752ba2 SHA1 853e7dceb5b7c852380a045581f3c32fde95cb36 SHA256 0297443b3f95d382817935cdf2f7a2e63064804a43ef2e88fdc220ecde27b6e2
DIST suhosin-patch-4.4.7-0.9.6-gentoo.patch.gz 21555 RMD160 a4184998c0cbbc4b493c0c6874fca6ee923c7a83 SHA1 526125d15fd1aa37c1ffa78735554cc1683b3ba1 SHA256 93d4b422d6e3e4f8fff6cdeb6de619f70d527db44784d5bdcc6d83c0337ec784
DIST suhosin-patch-4.4.8-0.9.6.patch.gz 22246 RMD160 01b59d520b987de1995bce7ab74f5d92ece2a89f SHA1 0354436d109ae3872949fb436d45e9534355cb1c SHA256 eff5b6ed79dd76c59bd63ac591f778266c2d518cfab2cede716637cf8fc99630
EBUILD php-4.4.8_pre20070816.ebuild 14614 RMD160 55e737bce305755656fc278ebbfb3b16f136b1f9 SHA1 601880b68b314cfaae30f5c68eb023f563937f87 SHA256 baf230797ae737a6f207859f496224945a3f668a1f180409cbde5d476286f8a5
EBUILD php-5.2.4_pre200708051230-r2.ebuild 14984 RMD160 2917bce24b7fa4fcf3030dfa9eae3858b0c76560 SHA1 8dc8fd9aaa61aad943ec7ff3f86e0e66d4baac2d SHA256 311806499c903291760652261c8bb7c8b129e5169e7e1d78076f81c39eed1ba5
EBUILD php-5.2.5-r1.ebuild 14835 RMD160 cdcb33968c89bcc49746a9b0e1127aa0df41207b SHA1 726ee774a6b930af9160402f9f75de78f1cea981 SHA256 a256cb31564e9b0c1cf34ec480a84405de5f76cc4371b28bc8ebd4c32042173e
-EBUILD php-5.2.5_p20080206-r2.ebuild 15320 RMD160 46f9964e534d1ac40f206fb591f187eeeaeed566 SHA1 90e3637cd8532ab55b8f4a22cf6948f3743e79bd SHA256 31ec98845130010af7a5216416c637f20467d08142f81b00d60ff9a5cc537907
EBUILD php-5.2.5_p20080206-r3.ebuild 15308 RMD160 6321d0f20cdd06bbb31b2e447d84ce8dd49018f1 SHA1 c6283ed6bbdcbb737c16667dff7bd5bfc429d78a SHA256 246786a7d8b2d70d3ec872e0e17a4a0a12794764543aeaed0b4e1ec3dba97d0b
-EBUILD php-5.2.5_p20080206.ebuild 15232 RMD160 ff5bad88186d2cef7531922761a137afeabd1597 SHA1 c1046478ae42d6a5d8a240cd1273a3ff104e11d4 SHA256 cb60b9cc20d3f2493c7ba9185cb5fec239427a004ec6319763802d8246676c42
-MISC ChangeLog 43087 RMD160 142ff085b5580343a8b9604d252a0c20b7ba11d7 SHA1 9ec838f7f8a7586e279058624f8dde3e78bd3bb5 SHA256 3f4818c54854e2ee868d244b986e1310c21ecf99c32e0a05d6711bc6f3cdb6fa
+MISC ChangeLog 43219 RMD160 3087ca6e873c40433710ebaeb89e29549eee12f4 SHA1 86300ce7922f2ce3f572c59732340fc09f1a777e SHA256 399a025c0d3c964b5f26589b85b04dbbd681ee1af561293bc4050c4222bdf459
MISC metadata.xml 157 RMD160 a98db3a086fae3c09a903dadbc05f60443ec4b1a SHA1 ddaa23cc35eb917bf8962b652442bebb1ce0f440 SHA256 54f8878ca0228e380abbaa4b529806b5533a6b9b51b3b16c0909e906586a91a1
+-----BEGIN PGP SIGNATURE-----
+Version: GnuPG v2.0.7 (GNU/Linux)
+
+iD8DBQFHy8QcJ9KLJlGHWYIRAqJKAJ9ezmPh+8THh/l47Jq872XCKucy7QCgqoaJ
+6hbL5iD+Xt3d7qAc9F8CIaM=
+=oSaO
+-----END PGP SIGNATURE-----
+++ /dev/null
-# Copyright 1999-2008 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-lang/php/php-5.2.5_p20080206-r2.ebuild,v 1.1 2008/02/12 16:46:19 hoffie Exp $
-
-CGI_SAPI_USE="discard-path force-cgi-redirect"
-APACHE2_SAPI_USE="concurrentmodphp threads"
-IUSE="cli cgi ${CGI_SAPI_USE} ${APACHE2_SAPI_USE} fastbuild"
-
-KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd"
-
-# NOTE: Portage doesn't support setting PROVIDE based on the USE flags
-# that have been enabled, so we have to PROVIDE everything for now
-# and hope for the best
-PROVIDE="virtual/php virtual/httpd-php"
-
-# php package settings
-SLOT="5"
-MY_PHP_PV="${PV}"
-MY_PHP_P="php-${MY_PHP_PV}"
-PHP_PACKAGE="1"
-
-# php patch settings, general
-PHP_PATCHSET_REV="2"
-SUHOSIN_PATCH="suhosin-patch-${MY_PHP_PV}-0.9.6.2-gentoo.patch.gz"
-MULTILIB_PATCH="${MY_PHP_PV}/opt/multilib-search-path.patch"
-# php patch settings, ebuild specific
-FASTBUILD_PATCH="${MY_PHP_PV}/opt/fastbuild.patch"
-CONCURRENTMODPHP_PATCH="${MY_PHP_PV}/opt/concurrent_apache_modules.patch"
-
-inherit versionator php5_2-sapi apache-module
-
-SRC_URI="http://gentoo.longitekk.com/${P}.tar.bz2
- http://gentoo.longitekk.com/php-patchset-${MY_PHP_PV}-r${PHP_PATCHSET_REV}.tar.bz2"
-
-# Suhosin patch support
-[[ -n "${SUHOSIN_PATCH}" ]] && SRC_URI="${SRC_URI} suhosin? ( http://gentoo.longitekk.com/${SUHOSIN_PATCH} )"
-
-DESCRIPTION="The PHP language runtime engine: CLI, CGI and Apache2 SAPIs."
-
-DEPEND="app-admin/php-toolkit"
-RDEPEND="${DEPEND}"
-
-want_apache
-
-pkg_setup() {
- PHPCONFUTILS_AUTO_USE=""
-
- # Make sure the user has specified at least one SAPI
- einfo "Determining SAPI(s) to build"
- phpconfutils_require_any " Enabled SAPI:" " Disabled SAPI:" cli cgi apache2
-
- # Threaded Apache2 support
- if use apache2 ; then
- if [[ "${APACHE_VERSION}" != "0" ]] ; then
- if ! use threads ; then
- APACHE2_SAFE_MPMS="itk peruser prefork"
- else
- APACHE2_SAFE_MPMS="event leader metuxmpm perchild threadpool worker"
- fi
-
- ewarn
- ewarn "If this package fails with a fatal error about Apache2 not having"
- ewarn "been compiled with a compatible MPM, this is normally because you"
- ewarn "need to toggle the 'threads' USE flag."
- ewarn
- ewarn "If 'threads' is off, try switching it on."
- ewarn "If 'threads' is on, try switching it off."
- ewarn
-
- apache-module_pkg_setup
- fi
- fi
-
- # Concurrent PHP Apache2 modules support
- if use apache2 ; then
- if [[ "${APACHE_VERSION}" != "0" ]] ; then
- if use concurrentmodphp ; then
- ewarn
- ewarn "'concurrentmodphp' makes it possible to load multiple, differently"
- ewarn "versioned mod_php's into the same Apache instance. This is done with"
- ewarn "a few linker tricks and workarounds, and is not guaranteed to always"
- ewarn "work correctly, so use it at your own risk. Especially, do not use"
- ewarn "this in conjunction with PHP modules (PECL, ...) other than the ones"
- ewarn "you may find in the Portage tree or the PHP Overlay!"
- ewarn "This is an experimental feature, so please rebuild PHP"
- ewarn "without the 'concurrentmodphp' USE flag if you experience"
- ewarn "any problems, and then reproduce any bugs before filing"
- ewarn "them in Gentoo's Bugzilla or bugs.php.net."
- ewarn "If you have conclusive evidence that a bug directly"
- ewarn "derives from 'concurrentmodphp', please file a bug in"
- ewarn "Gentoo's Bugzilla only."
- ewarn
- ebeep 5
- fi
- fi
- fi
-
- # fastbuild support
- if use fastbuild ; then
- ewarn
- ewarn "'fastbuild' attempts to build all SAPIs in a single pass."
- ewarn "This is an experimental feature, so please rebuild PHP"
- ewarn "without the 'fastbuild' USE flag if you experience"
- ewarn "any problems, and then reproduce any bugs before filing"
- ewarn "them in Gentoo's Bugzilla or bugs.php.net."
- ewarn "If you have conclusive evidence that a bug directly"
- ewarn "derives from 'fastbuild', please file a bug in"
- ewarn "Gentoo's Bugzilla only."
- ewarn
- fi
-
- php5_2-sapi_pkg_setup
-}
-
-php_determine_sapis() {
- # holds the list of sapis that we want to build
- PHPSAPIS=
-
- if use cli || phpconfutils_usecheck cli ; then
- PHPSAPIS="${PHPSAPIS} cli"
- fi
-
- if use cgi ; then
- PHPSAPIS="${PHPSAPIS} cgi"
- fi
-
- # note - apache SAPI comes after the simpler cli/cgi sapis
- if use apache2 ; then
- if [[ "${APACHE_VERSION}" != "0" ]] ; then
- PHPSAPIS="${PHPSAPIS} apache${APACHE_VERSION}"
- fi
- fi
-}
-
-src_unpack() {
- if [[ "${PHP_PACKAGE}" == 1 ]] ; then
- unpack ${A}
- fi
-
- cd "${S}"
-
- # Concurrent PHP Apache2 modules support
- if use apache2 ; then
- if [[ "${APACHE_VERSION}" != "0" ]] ; then
- if use concurrentmodphp ; then
- if [[ -n "${CONCURRENTMODPHP_PATCH}" ]] && [[ -f "${WORKDIR}/${CONCURRENTMODPHP_PATCH}" ]] ; then
- epatch "${WORKDIR}/${CONCURRENTMODPHP_PATCH}"
- else
- ewarn "There is no concurrent mod_php patch available for this PHP release yet!"
- fi
- fi
- fi
- fi
-
- # fastbuild support
- if use fastbuild ; then
- if [[ -n "${FASTBUILD_PATCH}" ]] && [[ -f "${WORKDIR}/${FASTBUILD_PATCH}" ]] ; then
- epatch "${WORKDIR}/${FASTBUILD_PATCH}"
- else
- ewarn "There is no fastbuild patch available for this PHP release yet!"
- fi
- fi
-
- sed -re 's:^(PHP_RELEASE_VERSION=).*$:\15:g' -i configure.in
- PHP_EXTRA_BRANDING="-p${PV/*_p/}"
-
- # Now let the eclass do the rest and regenerate the configure
- php5_2-sapi_src_unpack
-
- # Fix Makefile.global:test to consider the CGI SAPI if present
- if use cgi ; then
- sed -e "s|test \! -z \"\$(top_builddir)/php-cli\" \&\& test -x \"\$(top_builddir)/php-cli\"|test \! -z \"\$(top_builddir)/php-cli\" \&\& test -x \"\$(top_builddir)/php-cli\" \&\& test \! -z \"\$(top_builddir)/php-cgi\" \&\& test -x \"\$(top_builddir)/php-cgi\"|g" -i Makefile.global
- sed -e "s|TEST_PHP_EXECUTABLE=\"\$(top_builddir)/php-cli\"|TEST_PHP_EXECUTABLE=\"\$(top_builddir)/php-cli\" TEST_PHP_CGI_EXECUTABLE=\"\$(top_builddir)/php-cgi\"|g" -i Makefile.global
- fi
-
- # try to fix some test cases which fail because of sandbox otherwise
- sed -e 's:/no/such/:.\0:' -i ext/standard/tests/file/005_error.phpt \
- ext/standard/tests/file/006_error.phpt \
- ext/standard/tests/file/touch.phpt
-
- # REMOVING BROKEN TESTS:
- # removing this test as it has been broken for ages and is not easily
- # fixable (depends on a lot of factors)
- rm ext/standard/tests/general_functions/phpinfo.phpt
-
- # never worked properly, no easy fix
- rm ext/iconv/tests/bug16069.phpt ext/iconv/tests/iconv_stream_filter.phpt
-}
-
-src_compile() {
- if use fastbuild && [[ -n "${FASTBUILD_PATCH}" ]] ; then
- src_compile_fastbuild
- else
- src_compile_normal
- fi
-}
-
-src_compile_fastbuild() {
- php_determine_sapis
-
- build_cli=0
- build_cgi=0
- build_apache2=0
- my_conf=""
-
- for x in ${PHPSAPIS} ; do
- case ${x} in
- cli)
- build_cli=1
- ;;
- cgi)
- build_cgi=1
- ;;
- apache2)
- build_apache2=1
- ;;
- esac
- done
-
- if [[ ${build_cli} = 1 ]] ; then
- my_conf="${my_conf} --enable-cli"
- else
- my_conf="${my_conf} --disable-cli"
- fi
-
- if [[ ${build_cgi} = 1 ]] ; then
- my_conf="${my_conf} --enable-cgi --enable-fastcgi"
- phpconfutils_extension_enable "discard-path" "discard-path" 0
- phpconfutils_extension_enable "force-cgi-redirect" "force-cgi-redirect" 0
- else
- my_conf="${my_conf} --disable-cgi"
- fi
-
- if [[ ${build_apache2} = 1 ]] ; then
- my_conf="${my_conf} --with-apxs2=/usr/sbin/apxs2"
-
- # Threaded Apache2 support
- if use threads ; then
- my_conf="${my_conf} --enable-maintainer-zts"
- ewarn "Enabling ZTS for Apache2 MPM"
- fi
-
- # Concurrent PHP Apache2 modules support
- if use concurrentmodphp ; then
- append-ldflags "-Wl,--version-script=${FILESDIR}/php5-ldvs"
- fi
- fi
-
- # Now we know what we are building, build it
- php5_2-sapi_src_compile
-
- # To keep the separate php.ini files for each SAPI, we change the
- # build-defs.h and recompile
-
- if [[ ${build_cli} = 1 ]] ; then
- einfo
- einfo "Building CLI SAPI"
- einfo
-
- sed -e 's|^#define PHP_CONFIG_FILE_PATH.*|#define PHP_CONFIG_FILE_PATH "/etc/php/cli-php5"|g;' -i main/build-defs.h
- sed -e 's|^#define PHP_CONFIG_FILE_SCAN_DIR.*|#define PHP_CONFIG_FILE_SCAN_DIR "/etc/php/cli-php5/ext-active"|g;' -i main/build-defs.h
- for x in main/main.o main/main.lo main/php_ini.o main/php_ini.lo ; do
- [[ -f ${x} ]] && rm -f ${x}
- done
- make sapi/cli/php || die "Unable to make CLI SAPI"
- cp sapi/cli/php php-cli || die "Unable to copy CLI SAPI"
- fi
-
- if [[ ${build_cgi} = 1 ]] ; then
- einfo
- einfo "Building CGI SAPI"
- einfo
-
- sed -e 's|^#define PHP_CONFIG_FILE_PATH.*|#define PHP_CONFIG_FILE_PATH "/etc/php/cgi-php5"|g;' -i main/build-defs.h
- sed -e 's|^#define PHP_CONFIG_FILE_SCAN_DIR.*|#define PHP_CONFIG_FILE_SCAN_DIR "/etc/php/cgi-php5/ext-active"|g;' -i main/build-defs.h
- for x in main/main.o main/main.lo main/php_ini.o main/php_ini.lo ; do
- [[ -f ${x} ]] && rm -f ${x}
- done
- make sapi/cgi/php-cgi || die "Unable to make CGI SAPI"
- cp sapi/cgi/php-cgi php-cgi || die "Unable to copy CGI SAPI"
- fi
-
- if [[ ${build_apache2} = 1 ]] ; then
- einfo
- einfo "Building apache${APACHE_VERSION} SAPI"
- einfo
-
- sed -e "s|^#define PHP_CONFIG_FILE_PATH.*|#define PHP_CONFIG_FILE_PATH \"/etc/php/apache${APACHE_VERSION}-php5\"|g;" -i main/build-defs.h
- sed -e "s|^#define PHP_CONFIG_FILE_SCAN_DIR.*|#define PHP_CONFIG_FILE_SCAN_DIR \"/etc/php/apache${APACHE_VERSION}-php5/ext-active\"|g;" -i main/build-defs.h
- for x in main/main.o main/main.lo main/php_ini.o main/php_ini.lo ; do
- [[ -f ${x} ]] && rm -f ${x}
- done
- make || die "Unable to make apache${APACHE_VERSION} SAPI"
- fi
-}
-
-src_compile_normal() {
- php_determine_sapis
-
- CLEAN_REQUIRED=0
- my_conf=""
-
- # Support the Apache2 extras, they must be set globally for all
- # SAPIs to work correctly, especially for external PHP extensions
- if use apache2 ; then
- if [[ "${APACHE_VERSION}" != "0" ]] ; then
- # Concurrent PHP Apache2 modules support
- if use concurrentmodphp ; then
- append-ldflags "-Wl,--version-script=${FILESDIR}/php5-ldvs"
- fi
- fi
- fi
-
- for x in ${PHPSAPIS} ; do
- # Support the Apache2 extras, they must be set globally for all
- # SAPIs to work correctly, especially for external PHP extensions
- if use apache2 ; then
- if [[ "${APACHE_VERSION}" != "0" ]] ; then
- # Threaded Apache2 support
- if use threads ; then
- my_conf="${my_conf} --enable-maintainer-zts"
- ewarn "Enabling ZTS for Apache2 MPM"
- fi
- fi
- fi
-
- if [[ "${CLEAN_REQUIRED}" = 1 ]] ; then
- make clean
- fi
-
- PHPSAPI="${x}"
-
- case ${x} in
- cli)
- my_conf="${my_conf} --enable-cli --disable-cgi"
- php5_2-sapi_src_compile
- cp sapi/cli/php php-cli || die "Unable to copy CLI SAPI"
- ;;
- cgi)
- my_conf="${my_conf} --disable-cli --enable-cgi --enable-fastcgi"
- phpconfutils_extension_enable "discard-path" "discard-path" 0
- phpconfutils_extension_enable "force-cgi-redirect" "force-cgi-redirect" 0
- php5_2-sapi_src_compile
- cp sapi/cgi/php-cgi php-cgi || die "Unable to copy CGI SAPI"
- ;;
- apache2)
- my_conf="${my_conf} --disable-cli --with-apxs2=/usr/sbin/apxs2"
- php5_2-sapi_src_compile
- ;;
- esac
-
- CLEAN_REQUIRED=1
- my_conf=""
- done
-}
-
-src_install() {
- php_determine_sapis
-
- destdir=/usr/$(get_libdir)/php5
-
- # Let the eclass do the common work
- php5_2-sapi_src_install
-
- einfo
- einfo "Installing SAPI(s) ${PHPSAPIS}"
- einfo
-
- for x in ${PHPSAPIS} ; do
-
- PHPSAPI="${x}"
-
- case ${x} in
- cli)
- einfo "Installing CLI SAPI"
- into ${destdir}
- newbin php-cli php || die "Unable to install ${x} sapi"
- php5_2-sapi_install_ini
- ;;
- cgi)
- einfo "Installing CGI SAPI"
- into ${destdir}
- dobin php-cgi || die "Unable to install ${x} sapi"
- php5_2-sapi_install_ini
- ;;
- apache2)
- einfo "Installing Apache${APACHE_VERSION} SAPI"
- make INSTALL_ROOT="${D}" install-sapi || die "Unable to install ${x} SAPI"
- if use concurrentmodphp ; then
- einfo "Installing Apache${APACHE_VERSION} config file for PHP5-concurrent (70_mod_php5_concurr.conf)"
- insinto ${APACHE_MODULES_CONFDIR}
- newins "${FILESDIR}/70_mod_php5_concurr.conf-apache2" "70_mod_php5_concurr.conf"
-
- # Put the ld version script in the right place so it's always accessible
- insinto "/var/lib/php-pkg/${CATEGORY}/${PN}-${PVR}/"
- doins "${FILESDIR}/php5-ldvs"
-
- # Redefine the extension dir to have the modphp suffix
- PHPEXTDIR="`"${D}/${destdir}/bin/php-config" --extension-dir`-versioned"
- else
- einfo "Installing Apache${APACHE_VERSION} config file for PHP5 (70_mod_php5.conf)"
- insinto ${APACHE_MODULES_CONFDIR}
- newins "${FILESDIR}/70_mod_php5.conf-apache2" "70_mod_php5.conf"
- fi
- php5_2-sapi_install_ini
- ;;
- esac
- done
-
- # Install env.d files
- newenvd "${FILESDIR}/20php5-envd" "20php5"
- sed -e "s|/lib/|/$(get_libdir)/|g" -i "${D}/etc/env.d/20php5"
-}
-
-pkg_postinst() {
- # Output some general info to the user
- if use apache2 ; then
- APACHE2_MOD_DEFINE="PHP5"
- if use concurrentmodphp ; then
- APACHE2_MOD_CONF="70_mod_php5_concurr"
- else
- APACHE2_MOD_CONF="70_mod_php5"
- fi
- apache-module_pkg_postinst
- fi
-
- # Update Apache2 to use mod_php
- if use apache2 ; then
- "${ROOT}/usr/sbin/php-select" -t apache2 php5 > /dev/null 2>&1
- exitStatus=$?
- if [[ ${exitStatus} == 2 ]] ; then
- php-select apache2 php5
- elif [[ ${exitStatus} == 4 ]] ; then
- ewarn
- ewarn "Apache2 is configured to load a different version of PHP."
- ewarn "To make Apache2 use PHP v5, use php-select:"
- ewarn
- ewarn " php-select apache2 php5"
- ewarn
- fi
- fi
-
- # Create the symlinks for php-cli
- if use cli || phpconfutils_usecheck cli ; then
- "${ROOT}/usr/sbin/php-select" -t php php5 > /dev/null 2>&1
- exitStatus=$?
- if [[ ${exitStatus} == 5 ]] ; then
- php-select php php5
- elif [[ ${exitStatus} == 4 ]] ; then
- ewarn
- ewarn "/usr/bin/php links to a different version of PHP."
- ewarn "To make /usr/bin/php point to PHP v5, use php-select:"
- ewarn
- ewarn " php-select php php5"
- ewarn
- fi
- fi
-
- # Create the symlinks for php-cgi
- if use cgi ; then
- "${ROOT}/usr/sbin/php-select" -t php-cgi php5 > /dev/null 2>&1
- exitStatus=$?
- if [[ ${exitStatus} == 5 ]] ; then
- php-select php-cgi php5
- elif [[ ${exitStatus} == 4 ]] ; then
- ewarn
- ewarn "/usr/bin/php-cgi links to a different version of PHP."
- ewarn "To make /usr/bin/php-cgi point to PHP v5, use php-select:"
- ewarn
- ewarn " php-select php-cgi php5"
- ewarn
- fi
- fi
-
- # Create the symlinks for php-devel
- "${ROOT}/usr/sbin/php-select" -t php-devel php5 > /dev/null 2>&1
- exitStatus=$?
- if [[ $exitStatus == 5 ]] ; then
- php-select php-devel php5
- elif [[ $exitStatus == 4 ]] ; then
- ewarn
- ewarn "/usr/bin/php-config and/or /usr/bin/phpize are linked to a"
- ewarn "different version of PHP. To make them point to PHP v5, use"
- ewarn "php-select:"
- ewarn
- ewarn " php-select php-devel php5"
- ewarn
- fi
-
- php5_2-sapi_pkg_postinst
-}
-
-src_test() {
- vecho ">>> Test phase [test]: ${CATEGORY}/${PF}"
- if [[ ! -x "${S}"/php-cli ]]; then
- ewarn "Running the php test suite requires USE=cli"
- return
- fi
-
- export TEST_PHP_EXECUTABLE="${S}"/php-cli
- if [[ -x "${S}"/php-cgi ]]; then
- export TEST_PHP_CGI_EXECUTABLE="${S}"/php-cgi
- fi
- REPORT_EXIT_STATUS=1 "${S}"/sapi/cli/php -n "${S}"/run-tests.php -n
-
- if [[ $? != 0 ]] ; then
- eerror "Not all tests were successful!"
- fi
-}
+++ /dev/null
-# Copyright 1999-2008 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-lang/php/php-5.2.5_p20080206.ebuild,v 1.6 2008/02/08 15:35:07 armin76 Exp $
-
-CGI_SAPI_USE="discard-path force-cgi-redirect"
-APACHE2_SAPI_USE="concurrentmodphp threads"
-IUSE="cli cgi ${CGI_SAPI_USE} ${APACHE2_SAPI_USE} fastbuild"
-
-KEYWORDS="alpha ~amd64 ~arm hppa ia64 ppc ppc64 ~s390 ~sh sparc x86 ~x86-fbsd"
-
-# NOTE: Portage doesn't support setting PROVIDE based on the USE flags
-# that have been enabled, so we have to PROVIDE everything for now
-# and hope for the best
-PROVIDE="virtual/php virtual/httpd-php"
-
-# php package settings
-SLOT="5"
-MY_PHP_PV="${PV}"
-MY_PHP_P="php-${MY_PHP_PV}"
-PHP_PACKAGE="1"
-
-# php patch settings, general
-PHP_PATCHSET_REV="0"
-SUHOSIN_PATCH="suhosin-patch-${MY_PHP_PV}-0.9.6.2-gentoo.patch.gz"
-MULTILIB_PATCH="${MY_PHP_PV}/opt/multilib-search-path.patch"
-# php patch settings, ebuild specific
-FASTBUILD_PATCH="${MY_PHP_PV}/opt/fastbuild.patch"
-CONCURRENTMODPHP_PATCH="${MY_PHP_PV}/opt/concurrent_apache_modules.patch"
-
-inherit versionator php5_2-sapi apache-module
-
-SRC_URI="http://gentoo.longitekk.com/${P}.tar.bz2
- http://gentoo.longitekk.com/php-patchset-${MY_PHP_PV}-r${PHP_PATCHSET_REV}.tar.bz2"
-
-# Suhosin patch support
-[[ -n "${SUHOSIN_PATCH}" ]] && SRC_URI="${SRC_URI} suhosin? ( http://gentoo.longitekk.com/${SUHOSIN_PATCH} )"
-
-DESCRIPTION="The PHP language runtime engine: CLI, CGI and Apache2 SAPIs."
-
-DEPEND="app-admin/php-toolkit"
-RDEPEND="${DEPEND}"
-
-want_apache
-
-pkg_setup() {
- PHPCONFUTILS_AUTO_USE=""
-
- # Make sure the user has specified at least one SAPI
- einfo "Determining SAPI(s) to build"
- phpconfutils_require_any " Enabled SAPI:" " Disabled SAPI:" cli cgi apache2
-
- # Threaded Apache2 support
- if use apache2 ; then
- if [[ "${APACHE_VERSION}" != "0" ]] ; then
- if ! use threads ; then
- APACHE2_SAFE_MPMS="itk peruser prefork"
- else
- APACHE2_SAFE_MPMS="event leader metuxmpm perchild threadpool worker"
- fi
-
- ewarn
- ewarn "If this package fails with a fatal error about Apache2 not having"
- ewarn "been compiled with a compatible MPM, this is normally because you"
- ewarn "need to toggle the 'threads' USE flag."
- ewarn
- ewarn "If 'threads' is off, try switching it on."
- ewarn "If 'threads' is on, try switching it off."
- ewarn
-
- apache-module_pkg_setup
- fi
- fi
-
- # Concurrent PHP Apache2 modules support
- if use apache2 ; then
- if [[ "${APACHE_VERSION}" != "0" ]] ; then
- if use concurrentmodphp ; then
- ewarn
- ewarn "'concurrentmodphp' makes it possible to load multiple, differently"
- ewarn "versioned mod_php's into the same Apache instance. This is done with"
- ewarn "a few linker tricks and workarounds, and is not guaranteed to always"
- ewarn "work correctly, so use it at your own risk. Especially, do not use"
- ewarn "this in conjunction with PHP modules (PECL, ...) other than the ones"
- ewarn "you may find in the Portage tree or the PHP Overlay!"
- ewarn "This is an experimental feature, so please rebuild PHP"
- ewarn "without the 'concurrentmodphp' USE flag if you experience"
- ewarn "any problems, and then reproduce any bugs before filing"
- ewarn "them in Gentoo's Bugzilla or bugs.php.net."
- ewarn "If you have conclusive evidence that a bug directly"
- ewarn "derives from 'concurrentmodphp', please file a bug in"
- ewarn "Gentoo's Bugzilla only."
- ewarn
- ebeep 5
- fi
- fi
- fi
-
- # fastbuild support
- if use fastbuild ; then
- ewarn
- ewarn "'fastbuild' attempts to build all SAPIs in a single pass."
- ewarn "This is an experimental feature, so please rebuild PHP"
- ewarn "without the 'fastbuild' USE flag if you experience"
- ewarn "any problems, and then reproduce any bugs before filing"
- ewarn "them in Gentoo's Bugzilla or bugs.php.net."
- ewarn "If you have conclusive evidence that a bug directly"
- ewarn "derives from 'fastbuild', please file a bug in"
- ewarn "Gentoo's Bugzilla only."
- ewarn
- fi
-
- php5_2-sapi_pkg_setup
-}
-
-php_determine_sapis() {
- # holds the list of sapis that we want to build
- PHPSAPIS=
-
- if use cli || phpconfutils_usecheck cli ; then
- PHPSAPIS="${PHPSAPIS} cli"
- fi
-
- if use cgi ; then
- PHPSAPIS="${PHPSAPIS} cgi"
- fi
-
- # note - apache SAPI comes after the simpler cli/cgi sapis
- if use apache2 ; then
- if [[ "${APACHE_VERSION}" != "0" ]] ; then
- PHPSAPIS="${PHPSAPIS} apache${APACHE_VERSION}"
- fi
- fi
-}
-
-src_unpack() {
- if [[ "${PHP_PACKAGE}" == 1 ]] ; then
- unpack ${A}
- fi
-
- cd "${S}"
-
- # Concurrent PHP Apache2 modules support
- if use apache2 ; then
- if [[ "${APACHE_VERSION}" != "0" ]] ; then
- if use concurrentmodphp ; then
- if [[ -n "${CONCURRENTMODPHP_PATCH}" ]] && [[ -f "${WORKDIR}/${CONCURRENTMODPHP_PATCH}" ]] ; then
- epatch "${WORKDIR}/${CONCURRENTMODPHP_PATCH}"
- else
- ewarn "There is no concurrent mod_php patch available for this PHP release yet!"
- fi
- fi
- fi
- fi
-
- # fastbuild support
- if use fastbuild ; then
- if [[ -n "${FASTBUILD_PATCH}" ]] && [[ -f "${WORKDIR}/${FASTBUILD_PATCH}" ]] ; then
- epatch "${WORKDIR}/${FASTBUILD_PATCH}"
- else
- ewarn "There is no fastbuild patch available for this PHP release yet!"
- fi
- fi
-
- sed -re 's:^(PHP_RELEASE_VERSION=).*$:\15:g' -i configure.in
- PHP_EXTRA_BRANDING="-p${PV/*_p/}"
-
- # Now let the eclass do the rest and regenerate the configure
- php5_2-sapi_src_unpack
-
- # Fix Makefile.global:test to consider the CGI SAPI if present
- if use cgi ; then
- sed -e "s|test \! -z \"\$(top_builddir)/php-cli\" \&\& test -x \"\$(top_builddir)/php-cli\"|test \! -z \"\$(top_builddir)/php-cli\" \&\& test -x \"\$(top_builddir)/php-cli\" \&\& test \! -z \"\$(top_builddir)/php-cgi\" \&\& test -x \"\$(top_builddir)/php-cgi\"|g" -i Makefile.global
- sed -e "s|TEST_PHP_EXECUTABLE=\"\$(top_builddir)/php-cli\"|TEST_PHP_EXECUTABLE=\"\$(top_builddir)/php-cli\" TEST_PHP_CGI_EXECUTABLE=\"\$(top_builddir)/php-cgi\"|g" -i Makefile.global
- fi
-
- # try to fix some test cases which fail because of sandbox otherwise
- sed -e 's:/no/such/:.\0:' -i ext/standard/tests/file/005_error.phpt \
- ext/standard/tests/file/006_error.phpt \
- ext/standard/tests/file/touch.phpt
-
- # REMOVING BROKEN TESTS:
- # removing this test as it has been broken for ages and is not easily
- # fixable (depends on a lot of factors)
- rm ext/standard/tests/general_functions/phpinfo.phpt
-
- # never worked properly, no easy fix
- rm ext/iconv/tests/bug16069.phpt ext/iconv/tests/iconv_stream_filter.phpt
-}
-
-src_compile() {
- if use fastbuild && [[ -n "${FASTBUILD_PATCH}" ]] ; then
- src_compile_fastbuild
- else
- src_compile_normal
- fi
-}
-
-src_compile_fastbuild() {
- php_determine_sapis
-
- build_cli=0
- build_cgi=0
- build_apache2=0
- my_conf=""
-
- for x in ${PHPSAPIS} ; do
- case ${x} in
- cli)
- build_cli=1
- ;;
- cgi)
- build_cgi=1
- ;;
- apache2)
- build_apache2=1
- ;;
- esac
- done
-
- if [[ ${build_cli} = 1 ]] ; then
- my_conf="${my_conf} --enable-cli"
- else
- my_conf="${my_conf} --disable-cli"
- fi
-
- if [[ ${build_cgi} = 1 ]] ; then
- my_conf="${my_conf} --enable-cgi --enable-fastcgi"
- phpconfutils_extension_enable "discard-path" "discard-path" 0
- phpconfutils_extension_enable "force-cgi-redirect" "force-cgi-redirect" 0
- else
- my_conf="${my_conf} --disable-cgi"
- fi
-
- if [[ ${build_apache2} = 1 ]] ; then
- my_conf="${my_conf} --with-apxs2=/usr/sbin/apxs2"
-
- # Threaded Apache2 support
- if use threads ; then
- my_conf="${my_conf} --enable-maintainer-zts"
- ewarn "Enabling ZTS for Apache2 MPM"
- fi
-
- # Concurrent PHP Apache2 modules support
- if use concurrentmodphp ; then
- append-ldflags "-Wl,--version-script=${FILESDIR}/php5-ldvs"
- fi
- fi
-
- # Now we know what we are building, build it
- php5_2-sapi_src_compile
-
- # To keep the separate php.ini files for each SAPI, we change the
- # build-defs.h and recompile
-
- if [[ ${build_cli} = 1 ]] ; then
- einfo
- einfo "Building CLI SAPI"
- einfo
-
- sed -e 's|^#define PHP_CONFIG_FILE_PATH.*|#define PHP_CONFIG_FILE_PATH "/etc/php/cli-php5"|g;' -i main/build-defs.h
- sed -e 's|^#define PHP_CONFIG_FILE_SCAN_DIR.*|#define PHP_CONFIG_FILE_SCAN_DIR "/etc/php/cli-php5/ext-active"|g;' -i main/build-defs.h
- for x in main/main.o main/main.lo main/php_ini.o main/php_ini.lo ; do
- [[ -f ${x} ]] && rm -f ${x}
- done
- make sapi/cli/php || die "Unable to make CLI SAPI"
- cp sapi/cli/php php-cli || die "Unable to copy CLI SAPI"
- fi
-
- if [[ ${build_cgi} = 1 ]] ; then
- einfo
- einfo "Building CGI SAPI"
- einfo
-
- sed -e 's|^#define PHP_CONFIG_FILE_PATH.*|#define PHP_CONFIG_FILE_PATH "/etc/php/cgi-php5"|g;' -i main/build-defs.h
- sed -e 's|^#define PHP_CONFIG_FILE_SCAN_DIR.*|#define PHP_CONFIG_FILE_SCAN_DIR "/etc/php/cgi-php5/ext-active"|g;' -i main/build-defs.h
- for x in main/main.o main/main.lo main/php_ini.o main/php_ini.lo ; do
- [[ -f ${x} ]] && rm -f ${x}
- done
- make sapi/cgi/php-cgi || die "Unable to make CGI SAPI"
- cp sapi/cgi/php-cgi php-cgi || die "Unable to copy CGI SAPI"
- fi
-
- if [[ ${build_apache2} = 1 ]] ; then
- einfo
- einfo "Building apache${APACHE_VERSION} SAPI"
- einfo
-
- sed -e "s|^#define PHP_CONFIG_FILE_PATH.*|#define PHP_CONFIG_FILE_PATH \"/etc/php/apache${APACHE_VERSION}-php5\"|g;" -i main/build-defs.h
- sed -e "s|^#define PHP_CONFIG_FILE_SCAN_DIR.*|#define PHP_CONFIG_FILE_SCAN_DIR \"/etc/php/apache${APACHE_VERSION}-php5/ext-active\"|g;" -i main/build-defs.h
- for x in main/main.o main/main.lo main/php_ini.o main/php_ini.lo ; do
- [[ -f ${x} ]] && rm -f ${x}
- done
- make || die "Unable to make apache${APACHE_VERSION} SAPI"
- fi
-}
-
-src_compile_normal() {
- php_determine_sapis
-
- CLEAN_REQUIRED=0
- my_conf=""
-
- # Support the Apache2 extras, they must be set globally for all
- # SAPIs to work correctly, especially for external PHP extensions
- if use apache2 ; then
- if [[ "${APACHE_VERSION}" != "0" ]] ; then
- # Concurrent PHP Apache2 modules support
- if use concurrentmodphp ; then
- append-ldflags "-Wl,--version-script=${FILESDIR}/php5-ldvs"
- fi
- fi
- fi
-
- for x in ${PHPSAPIS} ; do
- # Support the Apache2 extras, they must be set globally for all
- # SAPIs to work correctly, especially for external PHP extensions
- if use apache2 ; then
- if [[ "${APACHE_VERSION}" != "0" ]] ; then
- # Threaded Apache2 support
- if use threads ; then
- my_conf="${my_conf} --enable-maintainer-zts"
- ewarn "Enabling ZTS for Apache2 MPM"
- fi
- fi
- fi
-
- if [[ "${CLEAN_REQUIRED}" = 1 ]] ; then
- make clean
- fi
-
- PHPSAPI="${x}"
-
- case ${x} in
- cli)
- my_conf="${my_conf} --enable-cli --disable-cgi"
- php5_2-sapi_src_compile
- cp sapi/cli/php php-cli || die "Unable to copy CLI SAPI"
- ;;
- cgi)
- my_conf="${my_conf} --disable-cli --enable-cgi --enable-fastcgi"
- phpconfutils_extension_enable "discard-path" "discard-path" 0
- phpconfutils_extension_enable "force-cgi-redirect" "force-cgi-redirect" 0
- php5_2-sapi_src_compile
- cp sapi/cgi/php-cgi php-cgi || die "Unable to copy CGI SAPI"
- ;;
- apache2)
- my_conf="${my_conf} --disable-cli --with-apxs2=/usr/sbin/apxs2"
- php5_2-sapi_src_compile
- ;;
- esac
-
- CLEAN_REQUIRED=1
- my_conf=""
- done
-}
-
-src_install() {
- php_determine_sapis
-
- destdir=/usr/$(get_libdir)/php5
-
- # Let the eclass do the common work
- php5_2-sapi_src_install
-
- einfo
- einfo "Installing SAPI(s) ${PHPSAPIS}"
- einfo
-
- for x in ${PHPSAPIS} ; do
-
- PHPSAPI="${x}"
-
- case ${x} in
- cli)
- einfo "Installing CLI SAPI"
- into ${destdir}
- newbin php-cli php || die "Unable to install ${x} sapi"
- php5_2-sapi_install_ini
- ;;
- cgi)
- einfo "Installing CGI SAPI"
- into ${destdir}
- dobin php-cgi || die "Unable to install ${x} sapi"
- php5_2-sapi_install_ini
- ;;
- apache2)
- einfo "Installing Apache${APACHE_VERSION} SAPI"
- make INSTALL_ROOT="${D}" install-sapi || die "Unable to install ${x} SAPI"
- if use concurrentmodphp ; then
- einfo "Installing Apache${APACHE_VERSION} config file for PHP5-concurrent (70_mod_php5_concurr.conf)"
- insinto ${APACHE_MODULES_CONFDIR}
- newins "${FILESDIR}/70_mod_php5_concurr.conf-apache2" "70_mod_php5_concurr.conf"
-
- # Put the ld version script in the right place so it's always accessible
- insinto "/var/lib/php-pkg/${CATEGORY}/${PN}-${PVR}/"
- doins "${FILESDIR}/php5-ldvs"
-
- # Redefine the extension dir to have the modphp suffix
- PHPEXTDIR="`"${D}/${destdir}/bin/php-config" --extension-dir`-versioned"
- else
- einfo "Installing Apache${APACHE_VERSION} config file for PHP5 (70_mod_php5.conf)"
- insinto ${APACHE_MODULES_CONFDIR}
- newins "${FILESDIR}/70_mod_php5.conf-apache2" "70_mod_php5.conf"
- fi
- php5_2-sapi_install_ini
- ;;
- esac
- done
-
- # Install env.d files
- newenvd "${FILESDIR}/20php5-envd" "20php5"
- sed -e "s|/lib/|/$(get_libdir)/|g" -i "${D}/etc/env.d/20php5"
-}
-
-pkg_postinst() {
- # Output some general info to the user
- if use apache2 ; then
- APACHE2_MOD_DEFINE="PHP5"
- if use concurrentmodphp ; then
- APACHE2_MOD_CONF="70_mod_php5_concurr"
- else
- APACHE2_MOD_CONF="70_mod_php5"
- fi
- apache-module_pkg_postinst
- fi
-
- # Update Apache2 to use mod_php
- if use apache2 ; then
- "${ROOT}/usr/sbin/php-select" -t apache2 php5 > /dev/null 2>&1
- exitStatus=$?
- if [[ ${exitStatus} == 2 ]] ; then
- php-select apache2 php5
- elif [[ ${exitStatus} == 4 ]] ; then
- ewarn
- ewarn "Apache2 is configured to load a different version of PHP."
- ewarn "To make Apache2 use PHP v5, use php-select:"
- ewarn
- ewarn " php-select apache2 php5"
- ewarn
- fi
- fi
-
- # Create the symlinks for php-cli
- if use cli || phpconfutils_usecheck cli ; then
- "${ROOT}/usr/sbin/php-select" -t php php5 > /dev/null 2>&1
- exitStatus=$?
- if [[ ${exitStatus} == 5 ]] ; then
- php-select php php5
- elif [[ ${exitStatus} == 4 ]] ; then
- ewarn
- ewarn "/usr/bin/php links to a different version of PHP."
- ewarn "To make /usr/bin/php point to PHP v5, use php-select:"
- ewarn
- ewarn " php-select php php5"
- ewarn
- fi
- fi
-
- # Create the symlinks for php-cgi
- if use cgi ; then
- "${ROOT}/usr/sbin/php-select" -t php-cgi php5 > /dev/null 2>&1
- exitStatus=$?
- if [[ ${exitStatus} == 5 ]] ; then
- php-select php-cgi php5
- elif [[ ${exitStatus} == 4 ]] ; then
- ewarn
- ewarn "/usr/bin/php-cgi links to a different version of PHP."
- ewarn "To make /usr/bin/php-cgi point to PHP v5, use php-select:"
- ewarn
- ewarn " php-select php-cgi php5"
- ewarn
- fi
- fi
-
- # Create the symlinks for php-devel
- "${ROOT}/usr/sbin/php-select" -t php-devel php5 > /dev/null 2>&1
- exitStatus=$?
- if [[ $exitStatus == 5 ]] ; then
- php-select php-devel php5
- elif [[ $exitStatus == 4 ]] ; then
- ewarn
- ewarn "/usr/bin/php-config and/or /usr/bin/phpize are linked to a"
- ewarn "different version of PHP. To make them point to PHP v5, use"
- ewarn "php-select:"
- ewarn
- ewarn " php-select php-devel php5"
- ewarn
- fi
-
- php5_2-sapi_pkg_postinst
-}
-
-src_test() {
- vecho ">>> Test phase [test]: ${CATEGORY}/${PF}"
- if ! use cli; then
- einfo "Skipping tests as PHP was built without CLI support"
- return
- fi
- REPORT_EXIT_STATUS=1 TEST_PHP_EXECUTABLE=./sapi/cli/php \
- TEST_PHP_CGI_EXECUTABLE=./sapi/cgi/php-cgi ./sapi/cli/php -n ./run-tests.php -n
- if [[ $? != 0 ]] ; then
- eerror "Some tests failed!"
- fi
-}